Skip to main content
`Ctrl`+`K`

# PetscMallocGetMaximumUsage

gets the maximum amount of memory used that was obtained with `PetscMalloc()` at any time during this run, the high water mark.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocGetMaximumUsage(PetscLogDouble *space)

Not Collective

## Output Parameter

- space - maximum number of bytes ever allocated at one time

## Note

This only works if `PetscMemorySetGetMaximumUsage()`, `-memory_view`, or `-log_view_memory` have been used

## See Also

`PetscMallocDump()`, `PetscMallocView()`, `PetscMemoryGetCurrentUsage()`, `PetscMalloc()`, `PetscFree()`, `PetscMallocPushMaximumUsage()`

## Level

intermediate

## Location

src/sys/memory/mtr.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages